interface TooltipProps {
  content: string;
  children: React.ReactNode;
}

export default function Tooltip({ content, children }: TooltipProps) {
  return (
    <div className="group relative inline-block w-full">
      {children}
      <div className="opacity-0 group-hover:opacity-100 transition-opacity duration-300
                    absolute bottom-full left-1/2 -translate-x-1/2 mb-2 px-3 py-2
                    bg-gray-900 text-white text-sm rounded-lg shadow-lg whitespace-nowrap
                    border border-gray-700 pointer-events-none z-50">
        <div dangerouslySetInnerHTML={{ __html: content }} />
        <div className="absolute bottom-0 left-1/2 -translate-x-1/2 translate-y-1/2
                      border-4 border-transparent border-t-gray-900" />
      </div>
    </div>
  );
}
