export interface GameItem {
    id: number;
    name: string;
    type: ItemType;
    rarity: ItemRarity;
    description: string;
    price: number;
    effect: string;
    equipTarget: ItemEquipTarget;
}

export enum ItemType {
    Material = 'Material',
    Consumable = 'Consumable',
    Equipment = 'Equipment'
}

export enum ItemRarity {
    Common = 'Common', // White
    Uncommon = 'Uncommon', // Green
    Rare = 'Rare', // Blue
    Legendary = 'Legendary' // Purple
}

export enum ItemEquipTarget {
    None = 'None',
    Head = 'Head',
    Body = 'Body',
    Legs = 'Legs',
    Weapon = 'Weapon'
}